REMAP_PFN_RANGE(9)

NAME
remap_pfn_range - remap kernel memory to userspace

SYNOPSIS

int remap_pfn_range(struct vm_area_struct * vma, unsigned long addr, unsigned long pfn, unsigned long size, pgprot_t prot);

ARGUMENTS

vma
    user vma to map to

addr
    target user address to start at

pfn
    physical address of kernel memory

size
    size of map area

prot
    page protection flags for this mapping

NOTE

this is only safe if the mm semaphore is held when called.

COPYRIGHT